> For the complete documentation index, see [llms.txt](https://docs.fieldcommgroup.org/dd-stat-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldcommgroup.org/dd-stat-documentation/documentation/pipeline-installation.md).

# Pipeline Installation

## Introduction

DD-STAT may be run in DevOps environments in a Continuous Integration pipeline. A separate license and installation are required.

These instructions specify how to use the pipeline drop artifacts to create a pipeline in Azure DevOps running DD-STAT.

## Pipeline Scripting

There are 3 tasks you have to complete inside your pipeline script to get DD-STAT properly set up.

1. Unzip/extract the "ddstat\_pipeline\_extract.zip" archive to the "C:" folder of your pipeline VM   \
   For Azure DevOps, this might look like:

```yaml
 - task: ExtractFiles@1
  inputs:
    archiveFilePatterns: '$(System.ArtifactsDirectory)/pipeline_drop/*.zip'
    destinationFolder: 'C:\'
    cleanDestinationFolder: false
    overwriteExistingFiles: false
```

2. Run the "ddstat\_pipeline\_setup.bat" script, and ensure it has permissions to modify the shell environment, since it sets up the PATH.   \
   For Azure DevOps, this might look like:

```yaml
- task: BatchScript@1
  inputs:
    filename: '$(System.ArtifactsDirectory)/pipeline_drop/ddstat_pipeline_setup.bat'
    modifyEnvironment: true
```

3. Run the "fdi\_ide.reg" registration key file to get the registry set up properly.   \
   For Azure DevOps, this might look like:

```yaml
- task: CmdLine@2
  inputs:
    script: 'regedit /s $(System.ArtifactsDirectory)/pipeline_drop/fdi_ide.reg'
  displayName: Install the registry components for FDI IDE
```

The successful completion of these steps should have the PATH, Registry, and VM hard drive set up for DD-STAT execution from a command prompt.

## Notes

To verify that folders were copied correctly, you can generally add steps to your pipeline to call the shell "dir" function in the directory you want to check.

\
The licenses will be copied to "C:\ProgramData\FieldComm", and show up as .lfx files.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fieldcommgroup.org/dd-stat-documentation/documentation/pipeline-installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
